import java.awt.*;
import java.applet.*;

public class ScanConversionApplet extends Applet{
  public ScanConversionCanvas canv;
  public Button               clear_button;
  public Button               go_button;
  public Panel                bpanel;

  public void start(){
    canv         = new ScanConversionCanvas(400,400);
    clear_button = new Button("Clear");
    go_button    = new Button("Go");
    bpanel       = new Panel();

    setLayout(null);

    canv.resize(400,400);
    add(canv);
    canv.move(20,20);
    canv.makeOffScreen();
    clear_button.resize(50,20);
    clear_button.move(20,430);
    clear_button.show();
    add(clear_button);
    go_button.resize(50,20);
    go_button.move(100,430);
    go_button.show();
    add(go_button);
    
  }

  public boolean action(Event e, Object what){
    if( e.target == clear_button ){
      canv.clear();
    }
    else if( e.target == go_button ){
      canv.go();
    }
    return false;
  }
}
